Debian Bug report logs - #630846
axiom: OpenMath C library doesn't allow commercial use

version graph

Package: axiom; Maintainer for axiom is Camm Maguire <camm@debian.org>; Source for axiom is src:axiom.

Reported by: Sam Geeraerts <samgee@elmundolibre.be>

Date: Fri, 17 Jun 2011 22:33:04 UTC

Severity: serious

Found in versions axiom/0.20040831-1, axiom/20100701-1.1

Fixed in version axiom/20110301a-1

Done: Camm Maguire <camm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@debian.org>:
Bug#630846; Package axiom. (Fri, 17 Jun 2011 22:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
New Bug report received and forwarded. Copy sent to Camm Maguire <camm@debian.org>. (Fri, 17 Jun 2011 22:33:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: axiom: OpenMath C library doesn't allow commercial use
Date: Sat, 18 Jun 2011 00:31:30 +0200
Package: axiom
Version: 20100701-1.1
Severity: serious
Justification: Policy 2.1.6
User: gnewsense-dev@nongnu.org
Usertags: libreplanet

The file zips/omcv1.4a.tgz/OMCv1.4a/src/copyright says

The SOFTWARE  is provided for  non-commercial  use  only.  Any use  or
reproduction   of  any  part of    the   SOFTWARE and/or of  documents
exclusively owned by INRIA  and carried out   to obtain profit  or for
commercial ends is subject to the prior express authorisation of INRIA
being obtained. Any commercial  use  made without obtaining the  prior
express agreement  of  INRIA would  therefore  constitute a fraudulent
imitation.

Prohibiting commercial use is not in accordance with DFSG.

-- System Information:
Debian Release: squeeze/sid
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages axiom depends on:
ii  axiom-databases         20100701-1.1     A general purpose computer algebra
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libgmp3c2               2:4.3.2+dfsg-1   Multiprecision arithmetic library
ii  libreadline6            6.1-3            GNU readline and history libraries
ii  libx11-6                2:1.3.3-3        X11 client-side library
ii  libxpm4                 1:3.5.8-1        X11 pixmap library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages axiom recommends:
ii  axiom-doc                   20100701-1.1 A general purpose computer algebra
ii  axiom-graphics              20100701-1.1 A general purpose computer algebra
ii  axiom-hypertex              20100701-1.1 A general purpose computer algebra
ii  axiom-source                20100701-1.1 A general purpose computer algebra

Versions of packages axiom suggests:
pn  axiom-test                    <none>     (no description available)
pn  axiom-tex                     <none>     (no description available)
pn  nowebm                        <none>     (no description available)
pn  texmacs                       <none>     (no description available)

-- no debconf information




Reply sent to Camm Maguire <camm@debian.org>:
You have taken responsibility. (Fri, 15 Jul 2011 07:51:16 GMT) Full text and rfc822 format available.

Notification sent to Sam Geeraerts <samgee@elmundolibre.be>:
Bug acknowledged by developer. (Fri, 15 Jul 2011 07:51:17 GMT) Full text and rfc822 format available.

Message #10 received at 630846-close@bugs.debian.org (full text, mbox):

From: Camm Maguire <camm@debian.org>
To: 630846-close@bugs.debian.org
Subject: Bug#630846: fixed in axiom 20110301a-1
Date: Fri, 15 Jul 2011 07:48:17 +0000
Source: axiom
Source-Version: 20110301a-1

We believe that the bug you reported is fixed in the latest version of
axiom, which is due to be installed in the Debian FTP archive:

axiom-databases_20110301a-1_all.deb
  to main/a/axiom/axiom-databases_20110301a-1_all.deb
axiom-doc_20110301a-1_all.deb
  to main/a/axiom/axiom-doc_20110301a-1_all.deb
axiom-graphics-data_20110301a-1_all.deb
  to main/a/axiom/axiom-graphics-data_20110301a-1_all.deb
axiom-graphics_20110301a-1_i386.deb
  to main/a/axiom/axiom-graphics_20110301a-1_i386.deb
axiom-hypertex-data_20110301a-1_all.deb
  to main/a/axiom/axiom-hypertex-data_20110301a-1_all.deb
axiom-hypertex_20110301a-1_i386.deb
  to main/a/axiom/axiom-hypertex_20110301a-1_i386.deb
axiom-source_20110301a-1_all.deb
  to main/a/axiom/axiom-source_20110301a-1_all.deb
axiom-test_20110301a-1_all.deb
  to main/a/axiom/axiom-test_20110301a-1_all.deb
axiom-tex_20110301a-1_all.deb
  to main/a/axiom/axiom-tex_20110301a-1_all.deb
axiom_20110301a-1.debian.tar.gz
  to main/a/axiom/axiom_20110301a-1.debian.tar.gz
axiom_20110301a-1.dsc
  to main/a/axiom/axiom_20110301a-1.dsc
axiom_20110301a-1_i386.deb
  to main/a/axiom/axiom_20110301a-1_i386.deb
axiom_20110301a.orig.tar.gz
  to main/a/axiom/axiom_20110301a.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Camm Maguire <camm@debian.org> (supplier of updated axiom package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Jul 2011 19:02:46 +0000
Source: axiom
Binary: axiom axiom-source axiom-test axiom-doc axiom-databases axiom-tex axiom-graphics axiom-graphics-data axiom-hypertex axiom-hypertex-data
Architecture: source all i386
Version: 20110301a-1
Distribution: unstable
Urgency: low
Maintainer: Camm Maguire <camm@debian.org>
Changed-By: Camm Maguire <camm@debian.org>
Description: 
 axiom      - A general purpose computer algebra system: main binary and module
 axiom-databases - A general purpose computer algebra system: generated text databas
 axiom-doc  - A general purpose computer algebra system: documentation
 axiom-graphics - A general purpose computer algebra system: graphics subsystem
 axiom-graphics-data - A general purpose computer algebra system: graphics subsystem
 axiom-hypertex - A general purpose computer algebra system: hypertex subsystem
 axiom-hypertex-data - A general purpose computer algebra system: hypertex subsystem
 axiom-source - A general purpose computer algebra system: source files
 axiom-test - A general purpose computer algebra system: regression test inputs
 axiom-tex  - A general purpose computer algebra system: style file for TeX
Closes: 604697 606689 630846
Changes: 
 axiom (20110301a-1) unstable; urgency=low
 .
   * Bug fix: "package purge (after dependencies removal) fails", thanks to
     Lucas Nussbaum (Closes: #606689).  Now use dh_installtex
   * Bug fix: "OpenMath C library doesn&#39;t allow commercial use", thanks
     to Sam Geeraerts (Closes: #630846).  Removed unused library
   * Bug fix: "axiom-tex should depends on texlive-binaries", thanks to
     Lucas Nussbaum (Closes: #604697).  Now use dh_installtex
Checksums-Sha1: 
 76fe561e5c2b9c290c52a5c1809a56764325a2dc 1380 axiom_20110301a-1.dsc
 fb907dbaabee6f823553d0971caab405bb286fee 119535598 axiom_20110301a.orig.tar.gz
 e5424a0d861ae313a4399dbee885295f9b7b37d8 1171560 axiom_20110301a-1.debian.tar.gz
 98a6b9cdc890363fca1f79bb219e9b171d256d0e 110246 axiom-source_20110301a-1_all.deb
 1718b3e25ef45183a560b316c10b3a9e9e338332 4754812 axiom-test_20110301a-1_all.deb
 cdb9ce095abbfeab0f93401b0bd55a4644e93c62 41406860 axiom-doc_20110301a-1_all.deb
 584e6dc66a9e0e6b67e7a512e95fa7eb4d59b254 1242194 axiom-databases_20110301a-1_all.deb
 f1a19a32382b40eb6bfbbafff2627e55765f8981 121526 axiom-tex_20110301a-1_all.deb
 b419e170005c2a809f40228d3c4c9a07c3e9198c 2671338 axiom-graphics-data_20110301a-1_all.deb
 d16e9a1c1df504cbe550244c25e492b2490ce632 11850024 axiom-hypertex-data_20110301a-1_all.deb
 198be53a30768a760008048a6903f5e8a232d5ff 41170876 axiom_20110301a-1_i386.deb
 7dedd118082fba108ee0bf793928b50891a86bc8 250840 axiom-graphics_20110301a-1_i386.deb
 b7bb8ce4c0621ccb5c3a4c3ec61f02d023598c3a 207564 axiom-hypertex_20110301a-1_i386.deb
Checksums-Sha256: 
 0d00110d23c0a7e3e18496d4c6cd314881c4ff2f950442dfa312adac52490388 1380 axiom_20110301a-1.dsc
 e3e23baeace77b4449bfd3ef4776761dde6b1c79b0af64fc40fd9a2700a55424 119535598 axiom_20110301a.orig.tar.gz
 03be92c4e3688a809d7d4c02a35c13e4f7c847e3ebd369a8b1d827c910a89f67 1171560 axiom_20110301a-1.debian.tar.gz
 0b09ea0a36e37e2c80229ce8ad62e3451dbb3f0bfcb3f753d49051719365abb0 110246 axiom-source_20110301a-1_all.deb
 88dc460c86bd4c0bd5a9c04fb8dce9e7d81cde156dbf21c436cc0ce401bac2fc 4754812 axiom-test_20110301a-1_all.deb
 8503bfb19d84a6ad333eaf5bcf6c8f9c47aacc635c28e3957f7a4690f02767f4 41406860 axiom-doc_20110301a-1_all.deb
 d193755c64d748b9ea70a84b7414153e94e32fdf35f75032f6044f0386720d16 1242194 axiom-databases_20110301a-1_all.deb
 cff16d9be7070a8d7b73a6129cc55caab14ebd40415b6d12dd0fc552d5c262e5 121526 axiom-tex_20110301a-1_all.deb
 2b311c58080406e9d696cd80f6f15baddea2d64367d319655fc205c3357f7e47 2671338 axiom-graphics-data_20110301a-1_all.deb
 ffff600e2a2169e4f9e7db818f9534eb302222c5235d632cb2296a4228e9a826 11850024 axiom-hypertex-data_20110301a-1_all.deb
 462da35e13f1f9cc896636574bdc89067cc068614286b66b69f4f1565ff5ae44 41170876 axiom_20110301a-1_i386.deb
 edec3180a886e09179cb01d419d245b4cc5f652357371b444b781dcfc4ef2b34 250840 axiom-graphics_20110301a-1_i386.deb
 9419355e38dd3110f00bfac5216e4f1e4a812b31e028985b33fc1eb7994f5d7a 207564 axiom-hypertex_20110301a-1_i386.deb
Files: 
 9dda66e90d5ab2fbc4205399d4d1a094 1380 math optional axiom_20110301a-1.dsc
 34a35fa9bae180ebcb951c0a4aa5a25c 119535598 math optional axiom_20110301a.orig.tar.gz
 5775d676d711d5e1bd47801cf3e4c6ba 1171560 math optional axiom_20110301a-1.debian.tar.gz
 700f08ab44a1aa657465c7da72ab10fc 110246 math optional axiom-source_20110301a-1_all.deb
 a1ea55b0c40beaaa7f1ec6e50e448b0b 4754812 math optional axiom-test_20110301a-1_all.deb
 b14ea03f2201291d93d3e443ba459cea 41406860 doc optional axiom-doc_20110301a-1_all.deb
 095fd0f0a1d0110cd4e3e59952b04bc4 1242194 math optional axiom-databases_20110301a-1_all.deb
 3cd496dd935bd09382f6086fdd23bd47 121526 math optional axiom-tex_20110301a-1_all.deb
 c44d61413b1c43133ed82ba30494ff42 2671338 math optional axiom-graphics-data_20110301a-1_all.deb
 6e059260dd8e10fbb453236b6d36baf5 11850024 math optional axiom-hypertex-data_20110301a-1_all.deb
 db31833741bd08c0c663275524441888 41170876 math optional axiom_20110301a-1_i386.deb
 c7ff056cf66913afcdb43665caad9e40 250840 math optional axiom-graphics_20110301a-1_i386.deb
 8d9abe1d763aa323f2764e753bbae545 207564 math optional axiom-hypertex_20110301a-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4fVj4ACgkQczG1wFfwRdzm1wCgm07ksWD0SCVKuG4RoyDWGQuZ
vOQAnjyzXkMTNIWpiZGo25BZS2OKCdah
=DcYx
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@debian.org>:
Bug#630846; Package axiom. (Thu, 05 Jan 2012 20:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@debian.org>. (Thu, 05 Jan 2012 20:15:04 GMT) Full text and rfc822 format available.

Message #15 received at 630846@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 630846@bugs.debian.org
Subject: Re: axiom: OpenMath C library doesn't allow commercial use
Date: Thu, 5 Jan 2012 14:09:47 -0600
Hi Camm,

Sam Geeraerts wrote:

> The file zips/omcv1.4a.tgz/OMCv1.4a/src/copyright says
>
> The SOFTWARE  is provided for  non-commercial  use  only.

I see that this has been fixed upstream and in sid; thanks!  Would it
make sense to remove the OpenMath C library from axiom in stable as
well?  (A quick grep does not find any code that uses it.)

Jonathan




Bug Marked as found in versions axiom/0.20040831-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 05 Jan 2012 21:27:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@debian.org>:
Bug#630846; Package axiom. (Sun, 19 Aug 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@debian.org>. (Sun, 19 Aug 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 630846@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 630846@bugs.debian.org
Subject: Re: axiom: OpenMath C library doesn't allow commercial use
Date: Sun, 19 Aug 2012 11:44:21 -0700
Hi again,

In January, Jonathan Nieder wrote:
> Sam Geeraerts wrote:

>> The file zips/omcv1.4a.tgz/OMCv1.4a/src/copyright says
>>
>> The SOFTWARE  is provided for  non-commercial  use  only.
>
> I see that this has been fixed upstream and in sid; thanks!  Would it
> make sense to remove the OpenMath C library from axiom in stable as
> well?  (A quick grep does not find any code that uses it.)

Ping.  I can prepare a package for stable that does that if you'd
like; what do you think?

Thanks,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@debian.org>:
Bug#630846; Package axiom. (Mon, 20 Aug 2012 16:53:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@debian.org>. (Mon, 20 Aug 2012 16:53:37 GMT) Full text and rfc822 format available.

Message #27 received at 630846@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Camm Maguire <camm@maguirefamily.org>
Cc: 630846@bugs.debian.org
Subject: Re: axiom: OpenMath C library doesn't allow commercial use
Date: Mon, 20 Aug 2012 09:52:12 -0700
Hi,

Camm Maguire wrote:

> Greetings!  Aren't we close enough to release to make this not worth the
> effort?

After wheezy is released, squeeze will still have a year of life.  So
I'd say "no".

Hoping that clarifies,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@debian.org>:
Bug#630846; Package axiom. (Mon, 20 Aug 2012 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Camm Maguire <camm@maguirefamily.org>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@debian.org>. (Mon, 20 Aug 2012 17:27:02 GMT) Full text and rfc822 format available.

Message #32 received at 630846@bugs.debian.org (full text, mbox):

From: Camm Maguire <camm@maguirefamily.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 630846@bugs.debian.org
Subject: Re: Bug#630846: axiom: OpenMath C library doesn't allow commercial use
Date: Mon, 20 Aug 2012 12:49:12 -0400
Greetings!  Aren't we close enough to release to make this not worth the
effort?

Take care,

Jonathan Nieder <jrnieder@gmail.com> writes:

> Hi again,
>
> In January, Jonathan Nieder wrote:
>> Sam Geeraerts wrote:
>
>>> The file zips/omcv1.4a.tgz/OMCv1.4a/src/copyright says
>>>
>>> The SOFTWARE  is provided for  non-commercial  use  only.
>>
>> I see that this has been fixed upstream and in sid; thanks!  Would it
>> make sense to remove the OpenMath C library from axiom in stable as
>> well?  (A quick grep does not find any code that uses it.)
>
> Ping.  I can prepare a package for stable that does that if you'd
> like; what do you think?
>
> Thanks,
> Jonathan
>
>
>
>

-- 
Camm Maguire			     		    camm@maguirefamily.org
==========================================================================
"The earth is but one country, and mankind its citizens."  --  Baha'u'llah



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:56:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:02:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.